
module rng_wrapper
  use ISO_C_BINDING
  interface
    subroutine rng_init2() bind(C, name='rng_init2')
    end subroutine rng_init2
    !
    subroutine rng_array2(array, size) bind(C, name='rng_array2')
      import C_DOUBLE, C_INT
      real(kind=C_DOUBLE), dimension(*) :: array
      integer(kind=C_INT), value        :: size
    end subroutine rng_array2
    !
    subroutine rng_free2() bind(C, name='rng_free2')
    end subroutine rng_free2
  end interface
end module rng_wrapper
